import greenfoot.*;  // (Actor, World, Greenfoot, GreenfootImage)

public class CrabWorld extends World
{
    /**
     * Create the crab world (the beach). Our world has a size 
     * of 560x560 cells, where every cell is just 1 pixel.
     */
    public CrabWorld() 
    {
        super(560, 560, 1);

        prepare();
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        Worm worm = new Worm();
        addObject(worm, 432, 374);
        Crab crab = new Crab();
        addObject(crab, 420, 149);
        Worm worm2 = new Worm();
        addObject(worm2, 178, 229);
        Worm worm3 = new Worm();
        addObject(worm3, 178, 130);
        Worm worm4 = new Worm();
        addObject(worm4, 377, 211);
        Worm worm5 = new Worm();
        addObject(worm5, 226, 420);
        Worm worm6 = new Worm();
        addObject(worm6, 327, 85);
        Worm worm7 = new Worm();
        addObject(worm7, 93, 168);
        Worm worm8 = new Worm();
        addObject(worm8, 61, 433);
        Worm worm9 = new Worm();
        addObject(worm9, 249, 281);
        Worm worm10 = new Worm();
        addObject(worm10, 382, 489);
        Worm worm11 = new Worm();
        addObject(worm11, 136, 368);
        Worm worm12 = new Worm();
        addObject(worm12, 501, 95);
        Worm worm13 = new Worm();
        addObject(worm13, 495, 222);
        Worm worm14 = new Worm();
        addObject(worm14, 502, 397);
        Worm worm15 = new Worm();
        addObject(worm15, 357, 398);
        Worm worm16 = new Worm();
        addObject(worm16, 197, 486);
        Worm worm17 = new Worm();
        addObject(worm17, 133, 17);
        Worm worm18 = new Worm();
        addObject(worm18, 254, 39);
        Worm worm19 = new Worm();
        addObject(worm19, 50, 70);
        Worm worm20 = new Worm();
        addObject(worm20, 57, 252);
        Worm worm21 = new Worm();
        addObject(worm21, 490, 495);
        Worm worm22 = new Worm();
        addObject(worm22, 368, 306);
        Worm worm23 = new Worm();
        addObject(worm23, 272, 163);
        Lobster lobster = new Lobster();
        addObject(lobster, 69, 328);
        Lobster lobster2 = new Lobster();
        addObject(lobster2, 117, 92);
        Lobster lobster3 = new Lobster();
        addObject(lobster3, 317, 250);
        Lobster lobster4 = new Lobster();
        addObject(lobster4, 298, 476);
        Lobster lobster5 = new Lobster();
        addObject(lobster5, 495, 298);
        Lobster lobster6 = new Lobster();
        addObject(lobster6, 424, 59);
        removeObject(lobster5);
        removeObject(lobster4);
        removeObject(lobster3);
        removeObject(lobster6);
        removeObject(lobster2);
        Worm worm24 = new Worm();
        addObject(worm24, 388, 34);
        Worm worm25 = new Worm();
        addObject(worm25, 99, 523);
        removeObject(worm15);
        removeObject(worm);
        removeObject(worm14);
        removeObject(worm21);
        removeObject(worm10);
        removeObject(worm5);
        removeObject(worm16);
        removeObject(worm25);
        removeObject(worm8);
        removeObject(worm11);
        removeObject(worm9);
        removeObject(worm4);
        removeObject(worm13);
        removeObject(worm12);
        removeObject(worm24);
        removeObject(worm6);
        removeObject(worm18);
        removeObject(worm23);
        removeObject(worm2);
        removeObject(worm3);
        removeObject(worm17);
        removeObject(worm7);
        removeObject(worm19);
        removeObject(worm20);
        Worm worm26 = new Worm();
        addObject(worm26, 73, 159);
        Worm worm27 = new Worm();
        addObject(worm27, 241, 106);
        Worm worm28 = new Worm();
        addObject(worm28, 173, 408);
        Worm worm29 = new Worm();
        addObject(worm29, 394, 392);
        Worm worm30 = new Worm();
        addObject(worm30, 262, 276);
        Worm worm31 = new Worm();
        addObject(worm31, 474, 259);
        Worm worm32 = new Worm();
        addObject(worm32, 464, 47);
        Worm worm33 = new Worm();
        addObject(worm33, 67, 520);
        Worm worm34 = new Worm();
        addObject(worm34, 288, 522);
        Worm worm35 = new Worm();
        addObject(worm35, 453, 519);
        Worm worm36 = new Worm();
        addObject(worm36, 175, 229);
        Worm worm37 = new Worm();
        addObject(worm37, 57, 70);
        Worm worm38 = new Worm();
        addObject(worm38, 324, 70);
        Worm worm39 = new Worm();
        addObject(worm39, 507, 383);
        Worm worm40 = new Worm();
        addObject(worm40, 28, 279);
        Worm worm41 = new Worm();
        addObject(worm41, 529, 140);
        Worm worm42 = new Worm();
        addObject(worm42, 312, 174);
        Worm worm43 = new Worm();
        addObject(worm43, 169, 54);
        removeObject(worm32);
        removeObject(worm41);
        removeObject(worm31);
        removeObject(worm39);
        removeObject(worm34);
        removeObject(worm33);
        removeObject(worm28);
        removeObject(worm29);
        removeObject(worm22);
        removeObject(worm30);
        removeObject(worm42);
        removeObject(worm38);
        removeObject(worm27);
        removeObject(worm43);
        removeObject(worm36);
        removeObject(worm26);
        removeObject(worm40);
        worm37.setLocation(48, 48);
        worm35.setLocation(506, 513);
        worm37.setLocation(29, 32);
        worm35.setLocation(533, 533);
    }
}